Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVoxelModeller Class Reference

`#include <vtkVoxelModeller.h>`

Inheritance diagram for vtkVoxelModeller:

[legend]
Collaboration diagram for vtkVoxelModeller:

[legend]
List of all members.

## Detailed Description

convert an arbitrary dataset to a voxel representation

Date:
  2002/06/14 15:14:10

Revision:
  1.42

vtkVoxelModeller is a filter that converts an arbitrary data set to a structured point (i.e., voxel) representation. It is very similar to vtkImplicitModeller, except that it doesn't record distance; instead it records occupancy. As such, it stores its results in the more compact form of 0/1 bits.

See also:
  vtkImplicitModeller

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (57%)
  - Schroeder, Will (19%)
  - Lorensen, Bill (7%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkVoxelModeller.h)`
  - .`cxx` (`/Imaging/vtkVoxelModeller.cxx)`

Tests:
  vtkVoxelModeller (Tests)

Definition at line 52 of file vtkVoxelModeller.h.

## Public Types
typedef vtkDataSetToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
float | ComputeModelBounds (float origin[3], float ar[3])
void | SetSampleDimensions (int i, int j, int k)
void | Write (char *)
void | SetSampleDimensions (int dim[3])
virtual int * | GetSampleDimensions ()
virtual void | GetSampleDimensions (int data[3])
virtual void | SetMaximumDistance (float)
virtual float | GetMaximumDistance ()
void | SetModelBounds (float bounds[6])
void | SetModelBounds (float xmin, float xmax, float ymin, float ymax, float zmin, float zmax)
virtual float * | GetModelBounds ()
virtual void | GetModelBounds (float data[6])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVoxelModeller * | SafeDownCast (vtkObject *o)
vtkVoxelModeller * | New ()
## Protected Methods
| vtkVoxelModeller ()
| ~vtkVoxelModeller ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *)
## Protected Attributes
int | SampleDimensions [3]
float | MaximumDistance
float | ModelBounds [6]

## Member Typedef Documentation

typedef vtkDataSetToImageFilter vtkVoxelModeller::Superclass

| Reimplemented from vtkDataSetToImageFilter. Definition at line 55 of file vtkVoxelModeller.h.

## Constructor & Destructor Documentation

vtkVoxelModeller::vtkVoxelModeller | ( |  | ) | `[protected]`

vtkVoxelModeller::~vtkVoxelModeller | ( |  | ) | `[inline, protected]`

| Definition at line 96 of file vtkVoxelModeller.h.

## Member Function Documentation

virtual const char* vtkVoxelModeller::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToImageFilter.

int vtkVoxelModeller::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToImageFilter.

virtual int vtkVoxelModeller::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToImageFilter.

vtkVoxelModeller* vtkVoxelModeller::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToImageFilter.

void vtkVoxelModeller::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToImageFilter.

vtkVoxelModeller* vtkVoxelModeller::New | ( |  | ) | `[static]`

| Construct an instance of vtkVoxelModeller with its sample dimensions set to (50,50,50), and so that the model bounds are automatically computed from its input. The maximum distance is set to examine the whole grid. This could be made much faster, and probably will be in the future. Reimplemented from vtkObject.

float vtkVoxelModeller::ComputeModelBounds | ( | float | origin[3],
|  | float | ar[3]
| ) |

| Compute the ModelBounds based on the input geometry.

void vtkVoxelModeller::SetSampleDimensions | ( | int | i,
|  | int | j,
|  | int | k
| ) |

| Set the i-j-k dimensions on which to sample the distance function.

void vtkVoxelModeller::SetSampleDimensions | ( | int | dim[3] | ) |

| Set the i-j-k dimensions on which to sample the distance function.

virtual int* vtkVoxelModeller::GetSampleDimensions | ( |  | ) | `[virtual]`

| Set the i-j-k dimensions on which to sample the distance function.

virtual void vtkVoxelModeller::GetSampleDimensions | ( | int | data[3] | ) | `[virtual]`

| Set the i-j-k dimensions on which to sample the distance function.

virtual void vtkVoxelModeller::SetMaximumDistance | ( | float |  | ) | `[virtual]`

| Specify distance away from surface of input geometry to sample. Smaller values make large increases in performance.

virtual float vtkVoxelModeller::GetMaximumDistance | ( |  | ) | `[virtual]`

| Specify distance away from surface of input geometry to sample. Smaller values make large increases in performance.

void vtkVoxelModeller::SetModelBounds | ( | float | bounds[6] | ) |

| Specify the position in space to perform the voxelization.

void vtkVoxelModeller::SetModelBounds | ( | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | float | zmin,
|  | float | zmax
| ) |

| Specify the position in space to perform the voxelization.

virtual float* vtkVoxelModeller::GetModelBounds | ( |  | ) | `[virtual]`

| Specify the position in space to perform the voxelization.

virtual void vtkVoxelModeller::GetModelBounds | ( | float | data[6] | ) | `[virtual]`

| Specify the position in space to perform the voxelization.

void vtkVoxelModeller::Write | ( | char * |  | ) |

| The the volume out to a specified filename.

virtual void vtkVoxelModeller::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkVoxelModeller::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

## Member Data Documentation

int vtkVoxelModeller::SampleDimensions[3]`[protected]`

| Definition at line 102 of file vtkVoxelModeller.h.

float vtkVoxelModeller::MaximumDistance`[protected]`

| Definition at line 103 of file vtkVoxelModeller.h.

float vtkVoxelModeller::ModelBounds[6]`[protected]`

| Definition at line 104 of file vtkVoxelModeller.h.

The documentation for this class was generated from the following file:

- Imaging/vtkVoxelModeller.h